package com.ssyf.module.robot.service;

import com.github.pagehelper.PageInfo;
import com.ssyf.module.robot.domain.entity.RRobotRunRecord;
import com.ssyf.module.robot.domain.query.RRobotRunRecordQuery;

import java.util.List;

/**
* @author ELSA
* @description 针对表【r_robot_run_record(机器人运行记录表)】的数据库操作Service
* @createDate 2025-12-18 10:53:31
*/
public interface RRobotRunRecordService {

    /**
     * 新增
     *
     * @param query
     * @return
     */
    RRobotRunRecord addOne(RRobotRunRecord query);

    /**
     * 根据uuid删除
     *
     * @param uuid
     */
    void removeByUid(String uuid);

    /**
     * 根据uuid批量删除
     *
     * @param uuids
     */
    void removeBatchByUids(List<String> uuids);

    /**
     * 根据uuid更新
     *
     * @param uuid
     * @param query
     */
    void updateByUid(String uuid, RRobotRunRecordQuery query);

    /**
     * 根据uuid查询
     *
     * @param uuid
     * @return
     */
    RRobotRunRecord getOneByUid(String uuid);

    /**
     * 分页查询
     *
     * @param query
     * @return
     */
    PageInfo<RRobotRunRecord> getPage(RRobotRunRecordQuery query);

    /**
     * 列表查询
     *
     * @param query
     * @return
     */
    List<RRobotRunRecord> getList(RRobotRunRecordQuery query);

    /**
     * 检查是否存在并返回实体
     *
     * @param uuid
     * @return
     */
    RRobotRunRecord checkedExistAndGet(String uuid);

    /**
     * 统计数量
     *
     * @param query
     * @return
     */
    Integer countBy(RRobotRunRecordQuery query);
}
